List Wallets
curl --request GET \
--url https://api.hopnow.io/v1/accounts/{account_id}/wallets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/wallets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"object": "<string>",
"account_id": "<string>",
"currency": "<string>",
"network": "<string>",
"label": "<string>",
"status": "<string>",
"created": "<string>"
}
],
"page": 123,
"size": 123,
"total": 123,
"pages": 123
}Wallets
List Wallets
Retrieve a paginated list of cryptocurrency wallets
GET
/
v1
/
accounts
/
{account_id}
/
wallets
List Wallets
Path Parameters
string
required
The account’s external ID (starts with
acc_)Query Parameters
string
Filter by cryptocurrency currency code
array
Filter by status (e.g.,
active, suspended)string
Filter wallets created on or after this date (ISO 8601 format)
string
Filter wallets created before this date (ISO 8601 format)
integer
default:"1"
Page number (minimum 1)
integer
default:"10"
Items per page (1-100)
Response
array
integer
Current page number
integer
Items per page
integer
Total number of items
integer
Total number of pages
Response Example
{
"items": [
{
"id": "wal_fxnw87105mc1vuru4q8yzrez",
"object": "wallet",
"account_id": "acct_ka44qsvpo8q3wtzuwfqf0h6u",
"currency": "USDT",
"network": "solana_devnet",
"label": "Treasury USDT Wallet",
"status": "active",
"created": "2024-01-01T00:00:00Z"
}
],
"page": 1,
"size": 10,
"total": 1,
"pages": 1
}
⌘I